> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Call スコア



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json post /calls/score
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /calls/score:
    post:
      tags:
        - Scores
      summary: Call スコア
      operationId: calls_score_calls_score_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CallsScoreReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallsScoreRes'
          description: 正常なレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    CallsScoreReq:
      additionalProperties: false
      description: >-
        Call のリストに対するスコアリング ジョブをキューに追加するリクエスト。


        スコアリングは call_scoring_worker によって非同期に実行されます。call_scoring_worker は Kafka
        からメッセージを受信し、各 call_id に各 scorer_ref を適用します。
      properties:
        call_ids:
          description: スコアリングする Call ID のリスト
          items:
            type: string
          title: Call Ids
          type: array
        project_id:
          title: Project Id
          type: string
        scorer_refs:
          description: 適用する scorer ref のリスト
          items:
            type: string
          title: Scorer Refs
          type: array
        wb_user_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 直接設定しないでください。サーバーがこのフィールドを自動的に自動入力します。
          title: Wb User Id
      required:
        - project_id
        - call_ids
        - scorer_refs
      title: CallsScoreReq
      type: object
    CallsScoreRes:
      description: >-
        calls_score の空のレスポンス。


        このインターフェース全体で使用されている規約に従い、また将来的に破壊的変更なしでフィールドを追加できるようにするため、None
        を返すのではなくモデルとして定義されています。
      properties: {}
      title: CallsScoreRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````